using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

namespace Example
{
	/// <summary>
	/// Example for the use of the <see cref="Weigelt.Windows.Forms.OldTerminal"/> control
	/// </summary>
	public class ExampleForm : System.Windows.Forms.Form
	{
		#region ... Private data ...
		private Weigelt.Windows.Forms.OldTerminal c_ctlOldTerminal;
		private System.Windows.Forms.Button c_btnCls;
		private System.Windows.Forms.Button c_btnWriteLine;

		private System.ComponentModel.Container components = null; // Required designer variable.
		#endregion

		#region ... Windows Form Designer generated code ...

		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.c_ctlOldTerminal = new Weigelt.Windows.Forms.OldTerminal();
			this.c_btnCls = new System.Windows.Forms.Button();
			this.c_btnWriteLine = new System.Windows.Forms.Button();
			this.SuspendLayout();
			// 
			// c_ctlOldTerminal
			// 
			this.c_ctlOldTerminal.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.c_ctlOldTerminal.CharactersPerSecond = 40;
			this.c_ctlOldTerminal.Location = new System.Drawing.Point(4, 4);
			this.c_ctlOldTerminal.Name = "c_ctlOldTerminal";
			this.c_ctlOldTerminal.Size = new System.Drawing.Size(496, 280);
			this.c_ctlOldTerminal.TabIndex = 0;
			// 
			// c_btnCls
			// 
			this.c_btnCls.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
			this.c_btnCls.Location = new System.Drawing.Point(4, 288);
			this.c_btnCls.Name = "c_btnCls";
			this.c_btnCls.TabIndex = 1;
			this.c_btnCls.Text = "ClearScreen";
			this.c_btnCls.Click += new System.EventHandler(this.c_btnCls_Click);
			// 
			// c_btnWriteLine
			// 
			this.c_btnWriteLine.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
			this.c_btnWriteLine.Location = new System.Drawing.Point(84, 288);
			this.c_btnWriteLine.Name = "c_btnWriteLine";
			this.c_btnWriteLine.TabIndex = 3;
			this.c_btnWriteLine.Text = "WriteLine";
			this.c_btnWriteLine.Click += new System.EventHandler(this.c_btnWriteLine_Click);
			// 
			// ExampleForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(504, 313);
			this.Controls.Add(this.c_btnWriteLine);
			this.Controls.Add(this.c_btnCls);
			this.Controls.Add(this.c_ctlOldTerminal);
			this.Name = "ExampleForm";
			this.SizeGripStyle = System.Windows.Forms.SizeGripStyle.Show;
			this.Text = "Example";
			this.ResumeLayout(false);

		}
		#endregion

		#region ... Protected overrides ...

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		/// <summary>
		/// (Called when the form is loaded): Write some text
		/// </summary>
		/// <param name="e"></param>
		protected override void OnLoad(System.EventArgs e)
		{
			this.c_ctlOldTerminal.WriteLine("Example for the Weigelt.Windows.Forms.OldTerminal control");
			this.c_ctlOldTerminal.WriteLine();
			this.c_ctlOldTerminal.WriteLine("Hello World!");
		}

		#endregion

		#region ... Event handlers ...

		private void c_btnWriteLine_Click(object sender, System.EventArgs e)
		{
			c_ctlOldTerminal.WriteLine("The quick brown fox jumps over the lazy dog");
		}

		private void c_btnCls_Click(object sender, System.EventArgs e)
		{
			c_ctlOldTerminal.ClearScreen();
		}

		#endregion

		#region ... Application entry point and constructor ...

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		public static void Main() 
		{
			Application.Run(new ExampleForm());
		}

		/// <summary>
		/// Creates a new <see cref="ExampleForm"/> instance.
		/// </summary>
		public ExampleForm()
		{
			InitializeComponent(); // Required for Windows Form Designer support
		}
		#endregion
	}
}
